Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Sun, 21 Oct 2018 10:22:47 +0200

> Thank you!  I hope that now using the same logic we could solve the
 > long-standing annoyance in Emacs window management.  See for example
 > such situation: in two horizontally split windows, one window displays
 > a *grep* buffer (`emacs -Q  C-x 3  M-x grep ... RET').
 >
 > But what to do if grep results need to be displayed in a new third
 > window above the *grep* buffer?  `C-x 2  C-x o  RET' will display
 > the source buffer in the wrong window (with the *scratch* buffer).
 >
 > Using arrow keys as a prefix will allow to tell Emacs explicitly
 > where do you want to display the buffer, e.g.
 >
 > H-up RET will display grep results in the above window after creating it
 >
 > H-left C-h f will display the *Help* buffer in the left window
 >
 > H-right C-x v d will display the vc-dir buffer in the right window
 >
 > H-down C-x C-b will display the buffer list in the bottom window
 >
 > The possibilities are limitless.

I fail to see the connection between hyper key bindings and the way to
display a buffer.  If at all, isn't that something Stephen Leake's
'other-frame-window' package is supposed to provide?

martin